Results 1 to 5 of 5

Thread: LEAP 42.1 - Can't update repositories

  1. #1

    Default LEAP 42.1 - Can't update repositories

    Hello there, I am fairly new to Linux and have been using OpenSuse for approximately 9 months now.

    I used to get package update notifications every 3-4 days, but I haven't received any for more than one month now. Due to lack of time I didn't pay much attention to this, but it just occurred to me that something is not right and I should really fix this. When I open Package Updater, I get this warning message:

    File '/repodata/repomd.xml' not found on medium 'http://download.opensuse.org/repositories/multimedia:/apps/openSUSE_Leap_42.1/'

    This is apparently what has been blocking any updates. It seems this repository is no longer available, am I correct? How should I proceed to delete it safely and should this deletion have any influence on package update?

    Thank you beforehand for your help! Cheers

  2. #2
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,763
    Blog Entries
    14

    Default Re: LEAP 42.1 - Can't update repositories

    Leap 42.1 maintenance has stopped since it's past it's end of life. That's the reason for the repo error. Best is to upgrade to 42.2 . Removing the repo would mean you will not receive any updates for packages from that repo, if it would still be there.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  3. #3

    Default Re: LEAP 42.1 - Can't update repositories

    Quote Originally Posted by Knurpht View Post
    Leap 42.1 maintenance has stopped since it's past it's end of life. That's the reason for the repo error. Best is to upgrade to 42.2 . Removing the repo would mean you will not receive any updates for packages from that repo, if it would still be there.
    Thank you, now it makes sense.

    For those who might land here having the same problem, I found this as assistance for migrating to the new release:
    https://lists.opensuse.org/opensuse-.../msg00002.html

    Thanks again Knurpht

  4. #4

    Default Re: LEAP 42.1 - Can't update repositories

    Quote Originally Posted by lpinhe View Post
    Thank you, now it makes sense.

    For those who might land here having the same problem, I found this as assistance for migrating to the new release:
    https://lists.opensuse.org/opensuse-.../msg00002.html

    Thanks again Knurpht
    By the way, Leap 42.3 will be released soon, on July 25th. Remember to upgrade to it some time after its release, so you can avoid having the same problem with 42.2.

  5. #5
    Join Date
    Jun 2016
    Location
    NY
    Posts
    17

    Default Re: LEAP 42.1 - Can't update repositories

    Thank you; I ran into this today when trying to download a package. Guess its time to update.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •